let swiperTodosDibujamos = "";

const animacionModalTD = gsap.timeline();
animacionModalTD.to('#modal-todos-dibujamos', {
    duration: 0.001,
    y: 0,
    zIndex: 60
}).to('#modal-todos-dibujamos', {
    duration: 0.6,
    opacity: 1,
}).reverse();

$(document).ready(function () {
    initSwiperTodosDibujamos()
})

$('[data-open-modalTD]').click((e) => {
    swiperTodosDibujamos.slideTo($(e.currentTarget).attr('data-position'), 1)
    animacionModalTD.reversed(!animacionModalTD.reversed())
})

$('[data-close-modalTD]').click(() => {
    animacionModalTD.reversed(!animacionModalTD.reversed())
})



const initSwiperTodosDibujamos = () => {
    swiperTodosDibujamos = new Swiper('#swiper-todos-dibujamos', {
        slidesPerView: 1,
        spaceBetween: 16,
        navigation: {
            nextEl: '.contenedor-right-arrow',
            prevEl: '.contenedor-left-arrow',
        },
    });
}
